// Copyright 2018-2019 The Go Cloud Development Kit Authors
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

module gocloud.dev

go 1.12

require (
	cloud.google.com/go v0.97.0
	cloud.google.com/go/firestore v1.6.1
	cloud.google.com/go/kms v1.1.0
	cloud.google.com/go/pubsub v1.17.1
	cloud.google.com/go/secretmanager v1.0.0
	cloud.google.com/go/storage v1.18.2
	contrib.go.opencensus.io/exporter/aws v0.0.0-20200617204711-c478e41e60e9
	contrib.go.opencensus.io/exporter/stackdriver v0.13.10
	contrib.go.opencensus.io/integrations/ocsql v0.1.7
	github.com/Azure/azure-amqp-common-go/v3 v3.2.2
	github.com/Azure/azure-pipeline-go v0.2.3
	github.com/Azure/azure-sdk-for-go v59.3.0+incompatible
	github.com/Azure/azure-service-bus-go v0.11.5
	github.com/Azure/azure-storage-blob-go v0.14.0
	github.com/Azure/go-amqp v0.16.4
	github.com/Azure/go-autorest/autorest v0.11.22
	github.com/Azure/go-autorest/autorest/adal v0.9.17
	github.com/Azure/go-autorest/autorest/azure/auth v0.5.9
	github.com/Azure/go-autorest/autorest/azure/cli v0.4.4 // indirect
	github.com/GoogleCloudPlatform/cloudsql-proxy v1.27.0
	github.com/aws/aws-sdk-go v1.42.8
	github.com/aws/aws-sdk-go-v2 v1.11.0
	github.com/aws/aws-sdk-go-v2/config v1.10.1
	github.com/aws/aws-sdk-go-v2/credentials v1.6.1
	github.com/aws/aws-sdk-go-v2/feature/s3/manager v1.7.1
	github.com/aws/aws-sdk-go-v2/service/kms v1.10.0
	github.com/aws/aws-sdk-go-v2/service/s3 v1.19.0
	github.com/aws/aws-sdk-go-v2/service/secretsmanager v1.10.0
	github.com/aws/aws-sdk-go-v2/service/sns v1.11.0
	github.com/aws/aws-sdk-go-v2/service/sqs v1.12.0
	github.com/aws/aws-sdk-go-v2/service/ssm v1.15.0
	github.com/aws/smithy-go v1.9.0
	github.com/cespare/xxhash/v2 v2.1.2 // indirect
	github.com/envoyproxy/go-control-plane v0.10.1 // indirect
	github.com/envoyproxy/protoc-gen-validate v0.6.2 // indirect
	github.com/fsnotify/fsnotify v1.5.1
	github.com/go-sql-driver/mysql v1.6.0
	github.com/golang-jwt/jwt/v4 v4.1.0 // indirect
	github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da // indirect
	github.com/golang/protobuf v1.5.2
	github.com/google/go-cmp v0.5.6
	github.com/google/go-replayers/grpcreplay v1.1.0
	github.com/google/go-replayers/httpreplay v1.0.0
	github.com/google/martian v2.1.1-0.20190517191504-25dcb96d9e51+incompatible // indirect
	github.com/google/uuid v1.3.0
	github.com/google/wire v0.5.0
	github.com/googleapis/gax-go/v2 v2.1.1
	github.com/klauspost/compress v1.13.6 // indirect
	github.com/lib/pq v1.10.4
	github.com/mitchellh/mapstructure v1.4.2 // indirect
	github.com/stretchr/objx v0.2.0 // indirect
	go.opencensus.io v0.23.0
	go.uber.org/atomic v1.9.0 // indirect
	go.uber.org/multierr v1.7.0 // indirect
	golang.org/x/crypto v0.0.0-20211117183948-ae814b36b871
	golang.org/x/net v0.0.0-20211118161319-6a13c67c3ce4
	golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8
	golang.org/x/sync v0.0.0-20210220032951-036812b2e83c
	golang.org/x/sys v0.0.0-20211117180635-dee7805ff2e1 // indirect
	golang.org/x/time v0.0.0-20211116232009-f0f3c7e86c11 // indirect
	golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1
	google.golang.org/api v0.60.0
	google.golang.org/genproto v0.0.0-20211118181313-81c1377c94b1
	google.golang.org/grpc v1.42.0
)
